{
   "format_version":"1.10.0",
   "minecraft:client_entity":{
      "description":{
         "identifier":"true:sos_fire",
         "materials":{
            "default":"entity_emissive_alpha"
         },
         "textures":{
            "default":"textures/entity/sos_fire/sos_fire"
         },
         "geometry":{
            "default":"geometry.sos_fire"
         },
         "animations":{
            "sos_flame":"controller.animation.sos_flame",
            "sos_smoke_armoury":"controller.animation.sos_smoke_armoury",
            "sos_smoke_soldier":"controller.animation.sos_smoke_soldier"
         },
         "scripts":{
            "animate":[
               "sos_flame",
               "sos_smoke_armoury",
               "sos_smoke_soldier"
            ]
         },
         "particle_effects":{
            "sos_flame":"true:sos_flame",
            "sos_smoke_armoury":"true:sos_smoke_blue",
            "sos_smoke_soldier":"true:sos_smoke_green"
         },
         "render_controllers":[
            "controller.render.default"
         ],
         "spawn_egg":{
            "texture":"sos_fire"
         }
      }
   }
}